Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package showutil.Effects

## Functions
def | createBounce
def | createHBounce
def | createPBounce
def | createRBounce
def | createScaleXBounce
def | createScaleYBounce
def | createScaleZBounce
def | createXBounce
def | createYBounce
def | createZBounce
## Variables
int | H_BOUNCE = 6
int | P_BOUNCE = 7
int | R_BOUNCE = 8
int | SX_BOUNCE = 0
int | SY_BOUNCE = 1
int | SZ_BOUNCE = 2
int | TX_BOUNCE = 3
int | TY_BOUNCE = 4
int | TZ_BOUNCE = 5

## Detailed Description

    Showutil Effects module: contains code for useful showcode effects.

## Function Documentation

def showutil.Effects.createBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude,
|  |  | bounceType = `SZ_BOUNCE`
| ) |  |

    createBounce: create and return a list of intervals to make a
    given nodePath bounce a given number of times over a give total time.

def showutil.Effects.createHBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

def showutil.Effects.createPBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

def showutil.Effects.createRBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

def showutil.Effects.createScaleXBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

def showutil.Effects.createScaleYBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

def showutil.Effects.createScaleZBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValue,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

def showutil.Effects.createXBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

def showutil.Effects.createYBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

def showutil.Effects.createZBounce | ( |  | nodeObj,
|  |  | numBounces,
|  |  | startValues,
|  |  | totalTime,
|  |  | amplitude
| ) |  |

## Variable Documentation

int H_BOUNCE = 6

int P_BOUNCE = 7

int R_BOUNCE = 8

int SX_BOUNCE = 0

int SY_BOUNCE = 1

int SZ_BOUNCE = 2

int TX_BOUNCE = 3

int TY_BOUNCE = 4

int TZ_BOUNCE = 5

All Classes Namespaces Functions Variables Enumerations Enumerator Properties